ovsqlite

Julien ÉLIE julien at trigofacile.com
Fri Dec 18 19:18:09 UTC 2020


Hi Russ,

>> Poll:  do you prefer ovsqlite to be in upcoming INN 2.6.4 or delayed for
>> INN 2.6.5?  (Only CURRENT would then have it.)
> 
> A new overview mechanism feels kind of like an INN 2.7.0 thing to me.
> Seems worth celebrating with a version bump!

:-)
Sounds great!

So maybe we should focus our efforts next year on patches and changes 
that cannot be integrated in minor releases:
- dropping obsolete features (like #150 old Python and Perl wrappers for 
hooks pre-dating INN 2.4.0)
- renaming options (like #143 require_encryption in readers.conf instead 
of require_ssl, and include SASL security layers in it)
- API changes

And new other features like Cancel-Lock support, the long-awaited 
compliance of innfeed with RFC 3977, supporting CAPABILITIES, 
installation in FHS paths, authenticated Path header support...
Lots of ideas in Trac and TODO!

-- 
Julien ÉLIE

« Give laugh to all but smile to one,
   Give cheeks to all but lips to one,
   Give love to all but Heart to one,
   Let everybody love you
   But you love one. »


More information about the inn-workers mailing list